thrift

Download, compile and install thrift

Spantree Technology Group, LLC

spantree

11,081 downloads

4,397 latest version

4.3 quality score

Version information

  • 1.1.1 (latest)
  • 1.1.0
  • 1.0.1
  • 1.0.0
  • 0.0.7
  • 0.0.6
  • 0.0.5
  • 0.0.3
  • 0.0.2
released Apr 16th 2018
This version is compatible with:
  • Puppet Enterprise 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >=3.7.0 <=5.5.0
  • Debian
    ,
    Ubuntu
    ,
    RedHat
    ,
    CentOS

Start using this module

Tags: thrift

Documentation

spantree/thrift — version 1.1.1 Apr 16th 2018

thrift

Build Status

Table of Contents

  1. Overview
  2. Module Description
  3. Setup - The basics of getting started with thrift
  4. Usage - Configuration options and additional functionality
  5. Reference - An under-the-hood peek at what the module is doing and how
  6. Limitations - OS compatibility, etc.
  7. Development - Guide for contributing to the module

Overview

The thrift module downloads, compiles and installs. The module has been tested on Centos and Ubuntu but it should work on RedHat, Amazon Linux and Debian 7.

Module Description

This module installs thrift with java bindings, in order to do it, it will install openjdk 7 and ant from the apache ant website.

Setup

What thrift affects

  • Install the thrift binary /usr/local/bin/thrift.
  • Install openjdk7 and ant from the apache-ant website.

Setup Requirements

None at the moment.

Beginning with thrift

include thrift is enough to get you up and running. If you wish to pass in parameters specifying a specific version of thrift, then:

class { 'thrift':
  version => '0.9.0'
}

##Usage

All interaction with the thrift module can be done through the main thrift class.

###I just want Thrift, what's the minimum I need?

include thrift

###I want a specific version of thrift

class { 'thrift':
  version => '0.9.0',
}

###I want to specify a different download source because I am behind a firewall

class { 'thrift':
  base_url => 'http://myinternalhost/thrift'
}

##Reference

###Classes

####Public Classes

  • thrift: Main class

###Parameters

The following parameters are available in the thrift module:

####version

Specify the version of thrift to use, at the moment defaults to 0.9.1

####base_url

Sets the base url for the download location

###Facts

####thrift_version

Set to the thrift version that is installed.

####thrift_path

Set to the path of the thrift binary

##Limitations

This module has been built on and tested against Puppet 3.2 and higher.

The module has been tested on:

  • CentOS 6
  • Ubuntu 14.04

Testing on other platforms has been light and cannot be guaranteed.

Development

Release Notes/Contributors/Etc